Bug 1026540 (CVE-2013-6339)

Summary: CVE-2013-6339 wireshark: ActiveMQ OpenWire dissector large loop (wnpa-sec-2013-64)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: huzaifas, jkurik, lemenkov, pfrields, phatina, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131101,reported=20131101,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/wireshark=affected,rhel-7/wireshark=notaffected,rhel-6/wireshark=affected,rhel-5/wireshark=notaffected
Fixed In Version: wireshark 1.10.3, wireshark 1.8.11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-04-25 12:32:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1026544, 1026546, 1074925, 1074926    
Bug Blocks: 1026543    

Description Vincent Danen 2013-11-04 17:41:45 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-6339 to
the following vulnerability:

Name: CVE-2013-6339
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6339
Assigned: 20131031
Reference: http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-openwire.c?r1=52458&r2=52457&pathrev=52458
Reference: http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-openwire.c?r1=52463&r2=52462&pathrev=52463
Reference: http://anonsvn.wireshark.org/viewvc?view=revision&revision=52458
Reference: http://anonsvn.wireshark.org/viewvc?view=revision&revision=52463
Reference: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9248

The dissect_openwire_type function in
epan/dissectors/packet-openwire.c in the OpenWire dissector in
Wireshark 1.8.x before 1.8.11 and 1.10.x before 1.10.3 allows remote
attackers to cause a denial of service (loop) via a crafted packet.


External References:

http://www.wireshark.org/security/wnpa-sec-2013-64.html
Comment 3 Vincent Danen 2013-11-04 17:54:46 EST
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1026546]
Comment 4 Fedora Update System 2013-11-07 23:35:13 EST
wireshark-1.10.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-11-10 21:28:24 EST
wireshark-1.10.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-11-12 21:12:28 EST
wireshark-1.10.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Huzaifa S. Sidhpurwala 2013-11-25 01:49:39 EST
Statement:

This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5.
Comment 10 errata-xmlrpc 2014-03-31 12:37:50 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0342 https://rhn.redhat.com/errata/RHSA-2014-0342.html